Package: groovy.console.ui

## [Groovy] Class ObjectBrowser

- groovy.console.ui.ObjectBrowser

-     class ObjectBrowser
      extends Object

  A little GUI to show some of the Inspector capabilities. Starting this script opens the ObjectBrowser on "some String". Use it in groovysh or groovyConsole to inspect your object of interest with: `ObjectBrowser.inspect(myObject)` .

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `arrayTable` Table showing array contents.
    `Object` | `cards` Card container holding each inspected object view.
    `Object` | `collectionTable` Table showing collection contents.
    `Object` | `fieldTable` Table showing property and field data.
    `Object` | `frame` Top-level browser window.
    `Object` | `inspector` Inspector backing the currently displayed object.
    `Object` | `mapTable` Table showing map entries.
    `Object` | `mb` Menu bar attached to the browser window.
    `Object` | `methodTable` Table showing methods and meta-methods.
    `String` | `path` Breadcrumb text describing the current inspection path.
    `int` | `pathCount` Number of path cards created so far.
    `Object` | `pathMenu` Menu listing visited inspection paths.
    `Object` | `swing` Swing builder used to create browser UI components.
    `Object` | `tracker` Tracks the currently selected inspection card.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ObjectBrowser()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `aboutAction(EventObject evt)` Displays the about dialog for the object browser.
    `` | `void` | `addSorter(Object table)` Adds column sorting support to the supplied table.
    `` | `void` | `copyAction(Object table, MouseEvent me, EventObject evt)` Copies the tooltip text for the clicked table cell to the clipboard.
    `` | `static void` | `inspect(Object objectUnderInspection, String path)` Opens an object browser for the supplied object.
    `` | `void` | `inspectAlso(Object objectUnderInspection, String path)` Adds another inspected object as a new card in the current window.
    `` | `void` | `launch(Object table, Object valueCol, boolean newWindow, Object pathClosure)` Opens the selected table value in this window or a new window.
    `` | `void` | `launchAction(Object table, Object valueCol, boolean newWindow, Object pathClosure, EventObject evt)` Delegates popup-menu browsing to launch.
    `` | `static void` | `main(Object args)` Launches the browser against a sample string.
    `` | `Object` | `mouseListener(int valueCol, Closure pathClosure)` Creates a mouse listener that can browse or copy the selected table row.
    `` | `void` | `run()` Builds and shows the object browser window.
    `` | `void` | `show()` Shows the card for the current tracker position.
    `` | `void` | `showAction(int idx, EventObject evt)` Switches the visible inspection card to the supplied index.
    `` | `void` | `usageAction(EventObject evt)` Displays usage help for the object browser.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### Object arrayTable

      Table showing array contents.

    - #### Object cards

      Card container holding each inspected object view.

    - #### Object collectionTable

      Table showing collection contents.

    - #### Object fieldTable

      Table showing property and field data.

    - #### Object frame

      Top-level browser window.

    - #### Object inspector

      Inspector backing the currently displayed object.

    - #### Object mapTable

      Table showing map entries.

    - #### Object mb

      Menu bar attached to the browser window.

    - #### Object methodTable

      Table showing methods and meta-methods.

    - #### String path

      Breadcrumb text describing the current inspection path.

    - #### int pathCount

      Number of path cards created so far.

    - #### Object pathMenu

      Menu listing visited inspection paths.

    - #### Object swing

      Swing builder used to create browser UI components.

    - #### Object tracker

      Tracks the currently selected inspection card.

  - ### Constructor Detail

    - #### ObjectBrowser()

  - ### Method Detail

    - #### void aboutAction(EventObject evt)

      Displays the about dialog for the object browser.

    - #### void addSorter(Object table)

      Adds column sorting support to the supplied table.

    - #### void copyAction(Object table, MouseEvent me, EventObject evt)

      Copies the tooltip text for the clicked table cell to the clipboard.

    - #### static void inspect(Object objectUnderInspection, String path)

      Opens an object browser for the supplied object.

    - #### void inspectAlso(Object objectUnderInspection, String path)

      Adds another inspected object as a new card in the current window.

    - #### void launch(Object table, Object valueCol, boolean newWindow, Object pathClosure)

      Opens the selected table value in this window or a new window.

    - #### void launchAction(Object table, Object valueCol, boolean newWindow, Object pathClosure, EventObject evt)

      Delegates popup-menu browsing to launch.

    - #### static void main(Object args)

      Launches the browser against a sample string.

    - #### Object mouseListener(int valueCol, Closure pathClosure)

      Creates a mouse listener that can browse or copy the selected table row.

    - #### void run()

      Builds and shows the object browser window.

    - #### void show()

      Shows the card for the current tracker position.

    - #### void showAction(int idx, EventObject evt)

      Switches the visible inspection card to the supplied index.

    - #### void usageAction(EventObject evt)

      Displays usage help for the object browser.